| OpenSubdiv

Loading...
Searching...
No Matches
CudaVertexBuffer Class Reference

Concrete vertex buffer class for Cuda subdivision. More...

`#include <cudaVertexBuffer.h>`

## Public Member Functions
| ~CudaVertexBuffer ()
| Destructor.
void | UpdateData (const float *src, int startVertex, int numVertices, void *deviceContext=NULL)
int | GetNumElements () const
| Returns how many elements defined in this vertex buffer.
int | GetNumVertices () const
| Returns how many vertices allocated in this vertex buffer.
float * | BindCudaBuffer ()
| Returns cuda memory.

## Static Public Member Functions
static CudaVertexBuffer * | Create (int numElements, int numVertices, void *deviceContext=NULL)
| Creator. Returns NULL if error.

## Protected Member Functions
| CudaVertexBuffer (int numElements, int numVertices)
| Constructor.
bool | allocate ()

## Detailed Description

Concrete vertex buffer class for Cuda subdivision.

CudaVertexBuffer implements CudaVertexBufferInterface. An instance of this buffer class can be passed to CudaEvaluator

Definition at line 42 of file cudaVertexBuffer.h.

## Constructor & Destructor Documentation

## ◆ ~CudaVertexBuffer()

~CudaVertexBuffer | ( |  | ) |

Destructor.

## ◆ CudaVertexBuffer()

CudaVertexBuffer | ( | int | numElements,
|  | int | numVertices )
| protected

Constructor.

## Member Function Documentation

## ◆ allocate()

bool allocate | ( |  | ) |
| protected

Allocates Cuda memory for this buffer. Returns true if success.

## ◆ BindCudaBuffer()

float * BindCudaBuffer | ( |  | ) |

Returns cuda memory.

## ◆ Create()

CudaVertexBuffer * Create | ( | int | numElements,
|  | int | numVertices,
|  | void * | deviceContext = NULL )
| static

Creator. Returns NULL if error.

## ◆ GetNumElements()

int GetNumElements | ( |  | ) | const

Returns how many elements defined in this vertex buffer.

## ◆ GetNumVertices()

int GetNumVertices | ( |  | ) | const

Returns how many vertices allocated in this vertex buffer.

## ◆ UpdateData()

void UpdateData | ( | const float * | src,
|  | int | startVertex,
|  | int | numVertices,
|  | void * | deviceContext = NULL )

This method is meant to be used in client code in order to provide coarse vertices data to Osd.

The documentation for this class was generated from the following file:

- opensubdiv/osd/cudaVertexBuffer.h